## com.saxonica.codegen
Class HexBinaryValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.HexBinaryValueCompiler

    public class HexBinaryValueCompiler

extends ValueCompiler

Compile Java code representing a HexBinary constant value

Constructor Summary
`HexBinaryValueCompiler()`

Method Summary
`java.lang.String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBinaryValueCompiler

    public HexBinaryValueCompiler()

Method Detail

### toJavaExpression

    public java.lang.String toJavaExpression(AtomicValue value,
                                             CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) Saxonica Limited. All rights reserved.